db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (DERBY-3026) Remove deprecated frameworks directory and scripts
Date Wed, 10 Oct 2007 03:14:50 GMT

     [ https://issues.apache.org/jira/browse/DERBY-3026?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Myrna van Lunteren resolved DERBY-3026.
---------------------------------------

    Resolution: Fixed
    Derby Info: [Existing Application Impact, Release Note Needed]  (was: [Release Note Needed,
Existing Application Impact, Patch Available])

I applied the patch with revision 583324 and removed the frameworks dir & framework.DEPRECATED.txt
file with revision 583336.

The release notes look good, but I didn't execute the releaseNotesGenerator (or -Reader),
so there could still be issues with it.

> Remove deprecated frameworks directory and scripts
> --------------------------------------------------
>
>                 Key: DERBY-3026
>                 URL: https://issues.apache.org/jira/browse/DERBY-3026
>             Project: Derby
>          Issue Type: Task
>          Components: Demos/Scripts
>    Affects Versions: 10.4.0.0
>         Environment: N/A
>            Reporter: John H. Embretsen
>            Assignee: John H. Embretsen
>             Fix For: 10.4.0.0
>
>         Attachments: d3026-fixFrameworksRefs.diff, releaseNote.html
>
>
> The 10.2.1.6 release notes said:
> "New scripts have been added in the bin directory which follow Apache conventions. The
scripts in the frameworks directory are deprecated and may be removed in future releases."
> DERBY-1709 added a warning message in the scripts in the frameworks/ directory, as well
as a textual file (frameworks.DEPRECATED.txt) in the root of the installation tree warning
that the frameworks/ directory has been deprecated and that scripts in the bin/ directory
should be used instead. This was committed after the 10.2.2.0 release, to both the trunk and
the 10.2 branch (before the 10.3 branch was created).
> The presence of both a frameworks/ directory and a bin/ directory is annoying to some
users, and confusing to others. There is obviously a balance to keep between pleasing such
users and other users who want backwards compatibility.
> Perhaps the next feature release (10.4?) is the right time to remove the frameworks/
directory once and for all, since deprecation warnings have been issued for the past two feature
releases (10.2 and 10.3, though stronger in 10.3 than 10.2), giving users time to adjust.
> Marking "Release Note Needed" since it is important to make such changes visible to users.
> This change may affect existing applications that are still using the deprecated scripts
in the frameworks/ directory.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message